package com.bocloud.cmp.model.azure.automation;

import java.util.Date;
import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DeploymentPlan
 * @Description:部署计划
 * @author: zhenpingLi/李振平
 * @date: 2020/8/8 14:43
 */
public class DeploymentPlanModel {
    private String uuid;
    private String name;
    private String resourceGroupName;
    private String automationAccountName;
    private List<String> virtualMachines;//软件更新配置所针对的Azure虚拟机的Azure资源ID列表
    private List<String> regionIds;//要将查询范围范围到的位置列表
    private List<String> resourceGroupUuids;//订阅或资源组ARM ID的列表
    private String operatingSystem;//目标机器的操作系统 Linux/Windows

    private String frequency;//获取或设置计划的频率 Day/Hour/Minute/Month/OneTime/Week
    private Integer interval;//获取或设置计划的时间间隔
    private Date startTime;//获取或设置计划的开始时间
    private Date expiryTime;//获取或设置计划的结束时间
    private Boolean single;

    public Boolean getSingle() {
        return single;
    }

    public void setSingle(Boolean single) {
        this.single = single;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getExpiryTime() {
        return expiryTime;
    }

    public void setExpiryTime(Date expiryTime) {
        this.expiryTime = expiryTime;
    }

    public String getFrequency() {
        return frequency;
    }

    public void setFrequency(String frequency) {
        this.frequency = frequency;
    }

    public Integer getInterval() {
        return interval;
    }

    public void setInterval(Integer interval) {
        this.interval = interval;
    }

    public List<String> getResourceGroupUuids() {
        return resourceGroupUuids;
    }

    public void setResourceGroupUuids(List<String> resourceGroupUuids) {
        this.resourceGroupUuids = resourceGroupUuids;
    }

    public List<String> getRegionIds() {
        return regionIds;
    }

    public void setRegionIds(List<String> regionIds) {
        this.regionIds = regionIds;
    }

    public String getOperatingSystem() {
        return operatingSystem;
    }

    public void setOperatingSystem(String operatingSystem) {
        this.operatingSystem = operatingSystem;
    }

    public List<String> getVirtualMachines() {
        return virtualMachines;
    }

    public void setVirtualMachines(List<String> virtualMachines) {
        this.virtualMachines = virtualMachines;
    }

    public String getAutomationAccountName() {
        return automationAccountName;
    }

    public void setAutomationAccountName(String automationAccountName) {
        this.automationAccountName = automationAccountName;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public void setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
    }

}